# Uses of Interface
javax.xml.catalog.CatalogResolver

Packages that use CatalogResolver
Package
Description
javax.xml.catalog
Provides the classes for implementing XML Catalogs OASIS Standard V1.1, 7 October 2005.

## Uses of CatalogResolver in javax.xml.catalog

Methods in javax.xml.catalog that return CatalogResolver
Modifier and Type
Method
Description
`static CatalogResolver`
CatalogManager.`catalogResolver(Catalog catalog)`
Creates an instance of a `CatalogResolver` using the specified catalog.
`static CatalogResolver`
CatalogManager.`catalogResolver(CatalogFeatures features, URI... uris)`
Creates an instance of a `CatalogResolver` using the specified feature settings and uri(s) to one or more catalog files.